Index: /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php	(revision 21750)
+++ /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php	(revision 21771)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once CLASS_REALDIR . 'pages/frontparts/bloc/LC_Page_FrontParts_Bloc.php';
+require_once CLASS_EX_REALDIR . 'page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Ex.php';
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_FrontParts_Bloc_Category extends LC_Page_FrontParts_Bloc {
+class LC_Page_FrontParts_Bloc_Category extends LC_Page_FrontParts_Bloc_Ex {
 
     // }}}
Index: /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Login.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Login.php	(revision 21743)
+++ /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Login.php	(revision 21771)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once CLASS_REALDIR . 'pages/frontparts/bloc/LC_Page_FrontParts_Bloc.php';
+require_once CLASS_EX_REALDIR . 'page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Ex.php';
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id:LC_Page_FrontParts_Bloc_Login.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class LC_Page_FrontParts_Bloc_Login extends LC_Page_FrontParts_Bloc {
+class LC_Page_FrontParts_Bloc_Login extends LC_Page_FrontParts_Bloc_Ex {
 
     // }}}
Index: /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Calendar.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Calendar.php	(revision 21743)
+++ /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Calendar.php	(revision 21771)
@@ -24,5 +24,5 @@
 // {{{ requires
 define('CALENDAR_ROOT', DATA_REALDIR.'module/Calendar'.DIRECTORY_SEPARATOR);
-require_once CLASS_REALDIR . 'pages/frontparts/bloc/LC_Page_FrontParts_Bloc.php';
+require_once CLASS_EX_REALDIR . 'page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Ex.php';
 
 /**
@@ -33,5 +33,5 @@
  * @version $ $
  */
-class LC_Page_FrontParts_Bloc_Calendar extends LC_Page_FrontParts_Bloc {
+class LC_Page_FrontParts_Bloc_Calendar extends LC_Page_FrontParts_Bloc_Ex {
 
     // }}}
Index: /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Cart.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Cart.php	(revision 21743)
+++ /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Cart.php	(revision 21771)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once CLASS_REALDIR . 'pages/frontparts/bloc/LC_Page_FrontParts_Bloc.php';
+require_once CLASS_EX_REALDIR . 'page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Ex.php';
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id:LC_Page_FrontParts_Bloc_Cart.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class LC_Page_FrontParts_Bloc_Cart extends LC_Page_FrontParts_Bloc {
+class LC_Page_FrontParts_Bloc_Cart extends LC_Page_FrontParts_Bloc_Ex {
 
     // }}}
Index: /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Recommend.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Recommend.php	(revision 21743)
+++ /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Recommend.php	(revision 21771)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once CLASS_REALDIR . 'pages/frontparts/bloc/LC_Page_FrontParts_Bloc.php';
+require_once CLASS_EX_REALDIR . 'page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Ex.php';
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id: LC_Page_FrontParts_Bloc_Best5 - Copy.php -1   $
  */
-class LC_Page_FrontParts_Bloc_Recommend extends LC_Page_FrontParts_Bloc {
+class LC_Page_FrontParts_Bloc_Recommend extends LC_Page_FrontParts_Bloc_Ex {
 
     // }}}
Index: /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts.php	(revision 21743)
+++ /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts.php	(revision 21771)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once CLASS_REALDIR . 'pages/frontparts/bloc/LC_Page_FrontParts_Bloc.php';
+require_once CLASS_EX_REALDIR . 'page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Ex.php';
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id:LC_Page_FrontParts_Bloc_SearchProducts.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class LC_Page_FrontParts_Bloc_SearchProducts extends LC_Page_FrontParts_Bloc {
+class LC_Page_FrontParts_Bloc_SearchProducts extends LC_Page_FrontParts_Bloc_Ex {
 
     // }}}
Index: /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_News.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_News.php	(revision 21743)
+++ /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_News.php	(revision 21771)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once CLASS_REALDIR . 'pages/frontparts/bloc/LC_Page_FrontParts_Bloc.php';
+require_once CLASS_EX_REALDIR . 'page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Ex.php';
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_FrontParts_Bloc_News extends LC_Page_FrontParts_Bloc {
+class LC_Page_FrontParts_Bloc_News extends LC_Page_FrontParts_Bloc_Ex {
 
     // }}}
Index: /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Pdf.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Pdf.php	(revision 21743)
+++ /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Pdf.php	(revision 21771)
@@ -158,5 +158,5 @@
         // エラー入力なし
         if (count($arrErr) == 0) {
-            $objFpdf = new SC_Fpdf($arrRet['download'], $arrRet['title']);
+            $objFpdf = new SC_Fpdf_Ex($arrRet['download'], $arrRet['title']);
             foreach ($arrRet['order_id'] AS $key => $val) {
                 $arrPdfData = $arrRet;
Index: /branches/version-2_12-dev/data/class/graph/SC_Graph_Bar.php
===================================================================
--- /branches/version-2_12-dev/data/class/graph/SC_Graph_Bar.php	(revision 21769)
+++ /branches/version-2_12-dev/data/class/graph/SC_Graph_Bar.php	(revision 21771)
@@ -23,5 +23,5 @@
 
 // 棒グラフ生成クラス
-class SC_Graph_Bar extends SC_Graph_Line{
+class SC_Graph_Bar extends SC_Graph_Line_Ex{
     // コンストラクタ
     function __construct(
Index: /branches/version-2_12-dev/data/class/graph/SC_Graph_Line.php
===================================================================
--- /branches/version-2_12-dev/data/class/graph/SC_Graph_Line.php	(revision 21767)
+++ /branches/version-2_12-dev/data/class/graph/SC_Graph_Line.php	(revision 21771)
@@ -23,5 +23,5 @@
 
 // 折れ線グラフ生成クラス
-class SC_Graph_Line extends SC_Graph_Base{
+class SC_Graph_Line extends SC_Graph_Base_Ex{
     var $area_width;
     var $area_height;
Index: /branches/version-2_12-dev/data/class/graph/SC_Graph_Pie.php
===================================================================
--- /branches/version-2_12-dev/data/class/graph/SC_Graph_Pie.php	(revision 21767)
+++ /branches/version-2_12-dev/data/class/graph/SC_Graph_Pie.php	(revision 21771)
@@ -23,5 +23,5 @@
 
 // 円グラフ生成クラス
-class SC_Graph_Pie extends SC_Graph_Base{
+class SC_Graph_Pie extends SC_Graph_Base_Ex{
     var $cw;
     var $ch;
Index: /branches/version-2_12-dev/data/class/SC_Response.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Response.php	(revision 21767)
+++ /branches/version-2_12-dev/data/class/SC_Response.php	(revision 21771)
@@ -194,5 +194,5 @@
         $netUrl->querystring = array_merge($netUrl->querystring, $arrQueryString);
 
-        $session = SC_SessionFactory::getInstance();
+        $session = SC_SessionFactory_Ex::getInstance();
         if ((SC_Display_Ex::detectDevice() == DEVICE_TYPE_MOBILE)
             || ($session->useCookie() == false)
Index: /branches/version-2_12-dev/data/class/api/operations/CartCreate.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/operations/CartCreate.php	(revision 21713)
+++ /branches/version-2_12-dev/data/class/api/operations/CartCreate.php	(revision 21771)
@@ -29,7 +29,7 @@
  * @version $Id$
  */
-require_once CLASS_REALDIR . 'api/SC_Api_Abstract.php';
+require_once CLASS_EX_REALDIR . 'api_extends/SC_Api_Abstract_Ex.php';
 
-class API_CartCreate extends SC_Api_Abstract {
+class API_CartCreate extends SC_Api_Abstract_Ex {
 
     protected $operation_name = 'CartCreate';
Index: /branches/version-2_12-dev/data/class/api/operations/CartClear.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/operations/CartClear.php	(revision 21713)
+++ /branches/version-2_12-dev/data/class/api/operations/CartClear.php	(revision 21771)
@@ -29,7 +29,7 @@
  * @version $Id$
  */
-require_once CLASS_REALDIR . 'api/SC_Api_Abstract.php';
+require_once CLASS_EX_REALDIR . 'api_extends/SC_Api_Abstract_Ex.php';
 
-class API_CartClear extends SC_Api_Abstract {
+class API_CartClear extends SC_Api_Abstract_Ex {
 
     protected $operation_name = 'CartClear';
Index: /branches/version-2_12-dev/data/class/api/operations/AddrFromZip.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/operations/AddrFromZip.php	(revision 21713)
+++ /branches/version-2_12-dev/data/class/api/operations/AddrFromZip.php	(revision 21771)
@@ -29,7 +29,7 @@
  * @version $Id$
  */
-require_once CLASS_REALDIR . 'api/SC_Api_Abstract.php';
+require_once CLASS_EX_REALDIR . 'api_extends/SC_Api_Abstract_Ex.php';
 
-class API_AddrFromZip extends SC_Api_Abstract {
+class API_AddrFromZip extends SC_Api_Abstract_Ex {
 
     protected $operation_name = 'AddrFromZip';
Index: /branches/version-2_12-dev/data/class/api/operations/BrowseNodeLookup.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/operations/BrowseNodeLookup.php	(revision 21713)
+++ /branches/version-2_12-dev/data/class/api/operations/BrowseNodeLookup.php	(revision 21771)
@@ -29,7 +29,7 @@
  * @version $Id$
  */
-require_once CLASS_REALDIR . 'api/SC_Api_Abstract.php';
+require_once CLASS_EX_REALDIR . 'api_extends/SC_Api_Abstract_Ex.php';
 
-class API_BrowseNodeLookup extends SC_Api_Abstract {
+class API_BrowseNodeLookup extends SC_Api_Abstract_Ex {
 
     protected $operation_name = 'BrowseNodeLookup';
Index: /branches/version-2_12-dev/data/class/api/operations/CartModify.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/operations/CartModify.php	(revision 21713)
+++ /branches/version-2_12-dev/data/class/api/operations/CartModify.php	(revision 21771)
@@ -29,7 +29,7 @@
  * @version $Id$
  */
-require_once CLASS_REALDIR . 'api/SC_Api_Abstract.php';
+require_once CLASS_EX_REALDIR . 'api_extends/SC_Api_Abstract_Ex.php';
 
-class API_CartModify extends SC_Api_Abstract {
+class API_CartModify extends SC_Api_Abstract_Ex {
 
     protected $operation_name = 'CartModify';
Index: /branches/version-2_12-dev/data/class/api/operations/CartAdd.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/operations/CartAdd.php	(revision 21713)
+++ /branches/version-2_12-dev/data/class/api/operations/CartAdd.php	(revision 21771)
@@ -29,7 +29,7 @@
  * @version $Id$
  */
-require_once CLASS_REALDIR . 'api/SC_Api_Abstract.php';
+require_once CLASS_EX_REALDIR . 'api_extends/SC_Api_Abstract_Ex.php';
 
-class API_CartAdd extends SC_Api_Abstract {
+class API_CartAdd extends SC_Api_Abstract_Ex {
 
     protected $operation_name = 'CartAdd';
Index: /branches/version-2_12-dev/data/class/api/operations/Default.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/operations/Default.php	(revision 21713)
+++ /branches/version-2_12-dev/data/class/api/operations/Default.php	(revision 21771)
@@ -29,7 +29,7 @@
  * @version $Id$
  */
-require_once CLASS_REALDIR . 'api/SC_Api_Abstract.php';
+require_once CLASS_EX_REALDIR . 'api_extends/SC_Api_Abstract_Ex.php';
 
-class API_Default extends SC_Api_Abstract {
+class API_Default extends SC_Api_Abstract_Ex {
 
     protected $operation_name = 'Default';
Index: /branches/version-2_12-dev/data/class/api/operations/ItemSearch.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/operations/ItemSearch.php	(revision 21713)
+++ /branches/version-2_12-dev/data/class/api/operations/ItemSearch.php	(revision 21771)
@@ -29,7 +29,7 @@
  * @version $Id$
  */
-require_once CLASS_REALDIR . 'api/SC_Api_Abstract.php';
-
-class API_ItemSearch extends SC_Api_Abstract {
+require_once CLASS_EX_REALDIR . 'api_extends/SC_Api_Abstract_Ex.php';
+
+class API_ItemSearch extends SC_Api_Abstract_Ex {
 
     protected $operation_name = 'ItemSearch';
Index: /branches/version-2_12-dev/data/class/api/operations/GetVersion.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/operations/GetVersion.php	(revision 21713)
+++ /branches/version-2_12-dev/data/class/api/operations/GetVersion.php	(revision 21771)
@@ -29,7 +29,7 @@
  * @version $Id$
  */
-require_once CLASS_REALDIR . 'api/SC_Api_Abstract.php';
+require_once CLASS_EX_REALDIR . 'api_extends/SC_Api_Abstract_Ex.php';
 
-class API_GetVersion extends SC_Api_Abstract {
+class API_GetVersion extends SC_Api_Abstract_Ex {
 
     protected $operation_name = 'GetVersion';
Index: /branches/version-2_12-dev/data/class/api/operations/ItemLookup.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/operations/ItemLookup.php	(revision 21713)
+++ /branches/version-2_12-dev/data/class/api/operations/ItemLookup.php	(revision 21771)
@@ -29,7 +29,7 @@
  * @version $Id$
  */
-require_once CLASS_REALDIR . 'api/SC_Api_Abstract.php';
+require_once CLASS_EX_REALDIR . 'api_extends/SC_Api_Abstract_Ex.php';
 
-class API_ItemLookup extends SC_Api_Abstract {
+class API_ItemLookup extends SC_Api_Abstract_Ex {
 
     protected $operation_name = 'ItemLookup';
Index: /branches/version-2_12-dev/data/class/api/operations/CartGet.php
===================================================================
--- /branches/version-2_12-dev/data/class/api/operations/CartGet.php	(revision 21713)
+++ /branches/version-2_12-dev/data/class/api/operations/CartGet.php	(revision 21771)
@@ -29,7 +29,7 @@
  * @version $Id$
  */
-require_once CLASS_REALDIR . 'api/SC_Api_Abstract.php';
+require_once CLASS_EX_REALDIR . 'api_extends/SC_Api_Abstract_Ex.php';
 
-class API_CartGet extends SC_Api_Abstract {
+class API_CartGet extends SC_Api_Abstract_Ex {
 
     protected $operation_name = 'CartGet';
Index: /branches/version-2_12-dev/data/class/sessionfactory/SC_SessionFactory_UseRequest.php
===================================================================
--- /branches/version-2_12-dev/data/class/sessionfactory/SC_SessionFactory_UseRequest.php	(revision 21750)
+++ /branches/version-2_12-dev/data/class/sessionfactory/SC_SessionFactory_UseRequest.php	(revision 21771)
@@ -33,5 +33,5 @@
  * @version $Id$
  */
-class SC_SessionFactory_UseRequest extends SC_SessionFactory {
+class SC_SessionFactory_UseRequest extends SC_SessionFactory_Ex {
 
     var $state = null;
Index: /branches/version-2_12-dev/data/class/sessionfactory/SC_SessionFactory_UseCookie.php
===================================================================
--- /branches/version-2_12-dev/data/class/sessionfactory/SC_SessionFactory_UseCookie.php	(revision 21626)
+++ /branches/version-2_12-dev/data/class/sessionfactory/SC_SessionFactory_UseCookie.php	(revision 21771)
@@ -33,5 +33,5 @@
  * @version $Id$
  */
-class SC_SessionFactory_UseCookie extends SC_SessionFactory {
+class SC_SessionFactory_UseCookie extends SC_SessionFactory_Ex {
 
     // }}}
Index: /branches/version-2_12-dev/data/class/SC_SessionFactory.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_SessionFactory.php	(revision 21624)
+++ /branches/version-2_12-dev/data/class/SC_SessionFactory.php	(revision 21771)
@@ -61,5 +61,5 @@
             // セッションの維持にリクエストパラメーターを使用する
             case 'useRequest':
-                $session = new SC_SessionFactory_UseRequest;
+                $session = new SC_SessionFactory_UseRequest_Ex;
                 SC_Display_Ex::detectDevice() == DEVICE_TYPE_MOBILE
                     ? $session->setState('mobile')
@@ -72,8 +72,8 @@
                 // モバイルの場合はSC_SessionFactory_UseRequestを使用する
                 if (SC_Display_Ex::detectDevice() == DEVICE_TYPE_MOBILE) {
-                    $session = new SC_SessionFactory_UseRequest;
+                    $session = new SC_SessionFactory_UseRequest_Ex;
                     $session->setState('mobile');
                 } else {
-                    $session = new SC_SessionFactory_UseCookie;
+                    $session = new SC_SessionFactory_UseCookie_Ex;
                 }
                 break;
Index: /branches/version-2_12-dev/data/require_base.php
===================================================================
--- /branches/version-2_12-dev/data/require_base.php	(revision 21582)
+++ /branches/version-2_12-dev/data/require_base.php	(revision 21771)
@@ -42,5 +42,5 @@
 
         // セッション初期化・開始
-        $sessionFactory = SC_SessionFactory::getInstance();
+        $sessionFactory = SC_SessionFactory_Ex::getInstance();
         $sessionFactory->initSession();
         
Index: /branches/version-2_12-dev/data/class_extends/api_extends/SC_Api_Abstract_Ex.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/api_extends/SC_Api_Abstract_Ex.php	(revision 21771)
+++ /branches/version-2_12-dev/data/class_extends/api_extends/SC_Api_Abstract_Ex.php	(revision 21771)
@@ -0,0 +1,35 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+/**
+ * APIの基本クラス
+ *
+ * @package Api
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+require_once CLASS_REALDIR . 'api/SC_Api_Abstract.php';
+
+class SC_Api_Abstract_Ex extends SC_Api_Abstract {
+
+}
Index: /branches/version-2_12-dev/data/class_extends/api_extends/operations/ItemLookup.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/api_extends/operations/ItemLookup.php	(revision 21771)
+++ /branches/version-2_12-dev/data/class_extends/api_extends/operations/ItemLookup.php	(revision 21771)
@@ -0,0 +1,35 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+/**
+ * APIの基本クラス
+ *
+ * @package Api
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+require_once CLASS_REALDIR . 'api/operations/ItemLookup.php';
+
+class API_ItemLookup_Ex extends API_ItemLookup {
+
+}
Index: /branches/version-2_12-dev/data/class_extends/api_extends/operations/CartGet.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/api_extends/operations/CartGet.php	(revision 21771)
+++ /branches/version-2_12-dev/data/class_extends/api_extends/operations/CartGet.php	(revision 21771)
@@ -0,0 +1,35 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+/**
+ * APIの基本クラス
+ *
+ * @package Api
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+require_once CLASS_REALDIR . 'api/operations/CartGet.php';
+
+class API_CartGet_Ex extends API_CartGet {
+
+}
Index: /branches/version-2_12-dev/data/class_extends/api_extends/operations/CartCreate.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/api_extends/operations/CartCreate.php	(revision 21771)
+++ /branches/version-2_12-dev/data/class_extends/api_extends/operations/CartCreate.php	(revision 21771)
@@ -0,0 +1,35 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+/**
+ * APIの基本クラス
+ *
+ * @package Api
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+require_once CLASS_REALDIR . 'api/operations/CartCreate.php';
+
+class API_CartCreate_Ex extends API_CartCreate {
+
+}
Index: /branches/version-2_12-dev/data/class_extends/api_extends/operations/CartAdd_Ex.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/api_extends/operations/CartAdd_Ex.php	(revision 21771)
+++ /branches/version-2_12-dev/data/class_extends/api_extends/operations/CartAdd_Ex.php	(revision 21771)
@@ -0,0 +1,35 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+/**
+ * APIの基本クラス
+ *
+ * @package Api
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+require_once CLASS_REALDIR . 'api/operations/CartAdd.php';
+
+class API_CartAdd_Ex extends API_CartAdd {
+
+}
Index: /branches/version-2_12-dev/data/class_extends/api_extends/operations/CartClear.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/api_extends/operations/CartClear.php	(revision 21771)
+++ /branches/version-2_12-dev/data/class_extends/api_extends/operations/CartClear.php	(revision 21771)
@@ -0,0 +1,35 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+/**
+ * APIの基本クラス
+ *
+ * @package Api
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+require_once CLASS_REALDIR . 'api/operations/CartClear.php';
+
+class API_CartClear_Ex extends API_CartClear {
+
+}
Index: /branches/version-2_12-dev/data/class_extends/api_extends/operations/AddrFromZip.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/api_extends/operations/AddrFromZip.php	(revision 21771)
+++ /branches/version-2_12-dev/data/class_extends/api_extends/operations/AddrFromZip.php	(revision 21771)
@@ -0,0 +1,35 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+/**
+ * APIの基本クラス
+ *
+ * @package Api
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+require_once CLASS_REALDIR . 'api/operations/AddrFromZip.php';
+
+class API_AddrFromZip_Ex extends API_AddrFromZip {
+
+}
Index: /branches/version-2_12-dev/data/class_extends/api_extends/operations/BrowseNodeLookup.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/api_extends/operations/BrowseNodeLookup.php	(revision 21771)
+++ /branches/version-2_12-dev/data/class_extends/api_extends/operations/BrowseNodeLookup.php	(revision 21771)
@@ -0,0 +1,35 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+/**
+ * APIの基本クラス
+ *
+ * @package Api
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+require_once CLASS_REALDIR . 'api/operations/BrowseNodeLookup.php';
+
+class API_BrowseNodeLookup_Ex extends API_BrowseNodeLookup {
+
+}
Index: /branches/version-2_12-dev/data/class_extends/api_extends/operations/CartModify.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/api_extends/operations/CartModify.php	(revision 21771)
+++ /branches/version-2_12-dev/data/class_extends/api_extends/operations/CartModify.php	(revision 21771)
@@ -0,0 +1,35 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+/**
+ * APIの基本クラス
+ *
+ * @package Api
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+require_once CLASS_REALDIR . 'api/operations/CartModify.php';
+
+class API_CartModify_Ex extends API_CartModify {
+
+}
Index: /branches/version-2_12-dev/data/class_extends/api_extends/operations/ItemSearch.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/api_extends/operations/ItemSearch.php	(revision 21771)
+++ /branches/version-2_12-dev/data/class_extends/api_extends/operations/ItemSearch.php	(revision 21771)
@@ -0,0 +1,35 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+/**
+ * APIの基本クラス
+ *
+ * @package Api
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+require_once CLASS_REALDIR . 'api/operations/ItemSearch.php';
+
+class API_ItemSearch_Ex extends API_ItemSearch {
+
+}
Index: /branches/version-2_12-dev/data/class_extends/sessionfactory_extends/SC_SessionFactory_UseRequest_Ex.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/sessionfactory_extends/SC_SessionFactory_UseRequest_Ex.php	(revision 21771)
+++ /branches/version-2_12-dev/data/class_extends/sessionfactory_extends/SC_SessionFactory_UseRequest_Ex.php	(revision 21771)
@@ -0,0 +1,27 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+require_once CLASS_REALDIR . 'sessionfactory/SC_SessionFactory_UseRequest.php';
+
+class SC_SessionFactory_UseRequest_Ex extends SC_SessionFactory_UseRequest {
+}
Index: /branches/version-2_12-dev/data/class_extends/sessionfactory_extends/SC_SessionFactory_UseCookie_Ex.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/sessionfactory_extends/SC_SessionFactory_UseCookie_Ex.php	(revision 21771)
+++ /branches/version-2_12-dev/data/class_extends/sessionfactory_extends/SC_SessionFactory_UseCookie_Ex.php	(revision 21771)
@@ -0,0 +1,27 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+require_once CLASS_REALDIR . 'sessionfactory/SC_SessionFactory_UseCookie.php';
+
+class SC_SessionFactory_UseCookie_Ex extends SC_SessionFactory_UseCookie {
+}
Index: /branches/version-2_12-dev/data/class_extends/page_extends/mypage/LC_Page_Mypage_DownLoad_Ex.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/page_extends/mypage/LC_Page_Mypage_DownLoad_Ex.php	(revision 21771)
+++ /branches/version-2_12-dev/data/class_extends/page_extends/mypage/LC_Page_Mypage_DownLoad_Ex.php	(revision 21771)
@@ -0,0 +1,67 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once CLASS_REALDIR . 'pages/mypage/LC_Page_Mypage_Download.php';
+
+/**
+ * ダウンロード商品ダウンロード のページクラス(拡張).
+ *
+ * LC_Page_Mypage_Download をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id: LC_Page_Mypage_Download_Ex.php $
+ */
+class LC_Page_Mypage_Download_Ex extends LC_Page_Mypage_Download {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
Index: /branches/version-2_12-dev/data/class_extends/page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Ex.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Ex.php	(revision 21771)
+++ /branches/version-2_12-dev/data/class_extends/page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Ex.php	(revision 21771)
@@ -0,0 +1,67 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once CLASS_REALDIR . 'pages/frontparts/bloc/LC_Page_FrontParts_Bloc.php';
+
+/**
+ * ブロックの基底クラス(拡張).
+ *
+ * LC_Page_FrontParts_Bloc をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id: LC_Page_FrontParts_Bloc_Ex.php $
+ */
+class LC_Page_FrontParts_Bloc_Ex extends LC_Page_FrontParts_Bloc {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
Index: /branches/version-2_12-dev/data/class_extends/batch_extends/SC_Batch_Update_Ex.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/batch_extends/SC_Batch_Update_Ex.php	(revision 21771)
+++ /branches/version-2_12-dev/data/class_extends/batch_extends/SC_Batch_Update_Ex.php	(revision 21771)
@@ -0,0 +1,27 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+require_once CLASS_REALDIR . 'util/SC_Batch_Update.php';
+
+class SC_Batch_Update_Ex extends SC_Batch_Update {
+}
Index: /branches/version-2_12-dev/data/class_extends/SC_SessionFactory_Ex.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/SC_SessionFactory_Ex.php	(revision 21771)
+++ /branches/version-2_12-dev/data/class_extends/SC_SessionFactory_Ex.php	(revision 21771)
@@ -0,0 +1,27 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+require_once CLASS_REALDIR . 'SC_SessionFactory.php';
+
+class SC_SessionFactory_Ex extends SC_SessionFactory {
+}
Index: /branches/version-2_12-dev/data/class_extends/SC_Fpdf_Ex.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/SC_Fpdf_Ex.php	(revision 21771)
+++ /branches/version-2_12-dev/data/class_extends/SC_Fpdf_Ex.php	(revision 21771)
@@ -0,0 +1,27 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+require_once CLASS_REALDIR . 'SC_Fpdf.php';
+
+class SC_Fpdf_Ex extends SC_Fpdf {
+}
Index: /branches/version-2_12-dev/data/class_extends/SC_Batch_Ex.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/SC_Batch_Ex.php	(revision 21771)
+++ /branches/version-2_12-dev/data/class_extends/SC_Batch_Ex.php	(revision 21771)
@@ -0,0 +1,27 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+require_once CLASS_REALDIR . 'SC_Batch.php';
+
+class SC_Batch_Ex extends SC_Batch {
+}
Index: /branches/version-2_12-dev/data/class_extends/graph_extends/SC_Graph_Pie_Ex.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/graph_extends/SC_Graph_Pie_Ex.php	(revision 21771)
+++ /branches/version-2_12-dev/data/class_extends/graph_extends/SC_Graph_Pie_Ex.php	(revision 21771)
@@ -0,0 +1,27 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+require_once CLASS_REALDIR . 'graph/SC_Graph_Pie.php';
+
+class SC_Graph_Pie_Ex extends SC_Graph_Pie {
+}
Index: /branches/version-2_12-dev/data/class_extends/graph_extends/SC_Graph_Bar_Ex.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/graph_extends/SC_Graph_Bar_Ex.php	(revision 21771)
+++ /branches/version-2_12-dev/data/class_extends/graph_extends/SC_Graph_Bar_Ex.php	(revision 21771)
@@ -0,0 +1,27 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+require_once CLASS_REALDIR . 'graph/SC_Graph_Bar.php';
+
+class SC_Graph_Bar_Ex extends SC_Graph_Bar {
+}
Index: /branches/version-2_12-dev/data/class_extends/graph_extends/SC_Graph_Line_Ex.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/graph_extends/SC_Graph_Line_Ex.php	(revision 21771)
+++ /branches/version-2_12-dev/data/class_extends/graph_extends/SC_Graph_Line_Ex.php	(revision 21771)
@@ -0,0 +1,27 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+require_once CLASS_REALDIR . 'graph/SC_Graph_Line.php';
+
+class SC_Graph_Line_Ex extends SC_Graph_Line {
+}
Index: /branches/version-2_12-dev/data/class_extends/graph_extends/SC_Graph_Base_Ex.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/graph_extends/SC_Graph_Base_Ex.php	(revision 21771)
+++ /branches/version-2_12-dev/data/class_extends/graph_extends/SC_Graph_Base_Ex.php	(revision 21771)
@@ -0,0 +1,27 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+require_once CLASS_REALDIR . 'graph/SC_Graph_Base.php';
+
+class SC_Graph_Base_Ex extends SC_Graph_Base {
+}
Index: /branches/version-2_12-dev/html/mypage/download.php
===================================================================
--- /branches/version-2_12-dev/html/mypage/download.php	(revision 21481)
+++ /branches/version-2_12-dev/html/mypage/download.php	(revision 21771)
@@ -29,5 +29,5 @@
 // {{{ generate page
 
-$objPage = new LC_Page_Mypage_DownLoad();
+$objPage = new LC_Page_Mypage_DownLoad_Ex();
 register_shutdown_function(array($objPage, 'destroy'));
 $objPage->init();
